<template>
  <p class="text-center">You're Logout, redirecting to Login page</p>
  <div class="text-center text-sm">Or click this <router-link class="underline" to="/login">Login</router-link> </div>
</template>

<script>
import { useStore } from 'vuex'
import { useRouter } from 'vue-router';
import { LOGGING_OUT } from "../../store/actions";

export default {
    name: "Logout",
    setup() {
        const store = useStore();
        const router = useRouter();

        store.dispatch(LOGGING_OUT);
        setTimeout(() => {
            router.push({ name: 'Login' })
        }, 2000);
    }
}
</script>

<style>

</style>